#!/usr/bin/env python
from flask import Flask, render_template, url_for, redirect
from serial import Serial

from forms import SerialForm, InputForm

app = Flask(__name__)
app.serial = None


@app.route('/', methods=['GET', 'POST'])
def index():
    form = SerialForm()
    if form.validate_on_submit():
        serialdata = form.data
        print(serialdata)
        '''
        app.serial = Serial(
            port=form.port.data,
            baudrate=form.baud.data,
            bytesize=int(form.size.data),
            parity=form.prty.data,
            stopbits=int(form.stop.data)
        )
        '''
        return redirect(url_for('serial'))
    return render_template('index.html', form=form)


@app.route('/serial', methods=['GET', 'POST'])
def serial():
    form = InputForm()
    content = None
    if form.validate_on_submit():
        print(form.data)
        content = form.send.data
    return render_template('serial.html', form=form, content=content)
    #return redirect(url_for('index'))


if __name__ == '__main__':
    app.secret_key = 'poomiefait3eiPohdufahdaige1weonoh4Xa8oth'
    app.run(host='0.0.0.0', port=8080, debug=True)
